<div class="sa" *ngIf="(successAlert$ | async) as successAlert">
  <div *ngIf="successAlert.show" class="alert alert-success alert-dismissible fade show text-center" role="alert">
    {{ successAlert.text }}
    <button type="button" class="close" data-dismiss="alert" aria-label="Close" (click)="hideSuccessAlert()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
</div>

<div class="ea" *ngIf="(errorAlert$ | async) as errorAlert">
  <div *ngIf="errorAlert.show" class="alert alert-danger alert-dismissible fade show text-center" role="alert">
    {{ errorAlert.text }}
    <button type="button" class="close" data-dismiss="alert" aria-label="Close" (click)="hideErrorAlert()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
</div>

<router-outlet></router-outlet>